summaryrefslogtreecommitdiffstats
path: root/.bin/python-chad
diff options
context:
space:
mode:
authorRomain Gonçalves <me@rgoncalves.se>2024-05-14 18:53:03 +0200
committerRomain Gonçalves <me@rgoncalves.se>2024-05-14 18:53:03 +0200
commit612dbb6993c8a548744f29a4d15d6b31325357c8 (patch)
tree0d61cee0ea74ac811268d0ffc00d3d55f7174112 /.bin/python-chad
parent23e2bfd987c430bb41bc7860c46c2f572e9e2db4 (diff)
downloaddots-trunk.tar.gz
Tue May 14 06:53:03 PM CEST 2024HEADtrunk
Diffstat (limited to '.bin/python-chad')
-rwxr-xr-x.bin/python-chad15
1 files changed, 15 insertions, 0 deletions
diff --git a/.bin/python-chad b/.bin/python-chad
new file mode 100755
index 0000000..3fc230e
--- /dev/null
+++ b/.bin/python-chad
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+venv_path=$(poetry env info -p || true)
+
+if [ "${?}" -eq 0 ]; then
+ export PATH="${venv_path}/bin:${PATH}"
+fi
+
+set -x
+
+isort "${1:-.}"
+black "${1:-.}"
+flake8 "${1:-.}"
remember that computers suck.